Description

Supportanfrage

bei uns kam die Frage auf, ob VS 2019 -- zumindest mit eingestellter Toolchain v141 -- bei der Entwicklung von Plugins für ADTF 3

einsetzbar ist. Ratet ihr davon ab?

Ist absehbar, daß eine der nächsten Versionen von ADTF 3 auf VS 2019 fußen wird?

Ich habe Ticket #8864 gesehen, war aber noch recht früh zu diesem Thema.

Lösung

grundsätzlich wird das gehen, da VS ja in erster Linie eine IDE ist und man damit arbeiten kann, die Toolchain hängt ja hinten dran

und ist kompatibel.

Geht zum Bsp. ja bei Visual Studio Code genauso.

Was in meinen Augen Probleme machen kann: Conan + CMake

Wenn du VS 2019 installierst, wird der VC142 installiert, du kannst auch einen vc141 Support mitmachen.

Aber (und das zeigen mit die MS Build Tools): du verwendest dann einen VS2019 mit vc141 (ist natürlich kompatibel).

Ich kann mir aber vorstellen, dass dies bei Conan und CMake dann Trouble machen, was Profile sowie Standard Compiler Setups

betrifft.

Aus dem Bauch raus würd ich sagen, geht, aber nicht out of the box.

Und ihr müsst nach dem ersten Erstellen sicherstellen, dass die Toolchain am Ende auch wirklich korrekt angezogen wird.

Ich gehe auch davon aus, durch die MSVC ABI Kompatibilität seit VS2015 Update 3 dass ihr theoretisch auch mit einen VC142

gegen ein ADTF VC141 bauen könnt, aber ob dann die Plugins mit einem VC141 laufen (v.a. GUI Themen wegen QT), ist mit

Vorsicht zu genießen. Deshalb defintiv sicherstellen, dass VC141 gesetzt und auch verwendet wird.

Geht es euch hierbei um Einkauf/Lizenzen oder einfach darum, die neuesten IDE Features zu verwenden ?

Was sicherlich geht: VS2017 und VS2019 installiert, dann sollte sich die Solution auf jeden Fall öffnen und mit den richtigen Toolset

kompilieren lassen (sofern man das nicht umkonfiguriert). Mir macht wie gesagt das conan Profile etwas Sorgen...

bei uns kam die Frage auf, ob VS 2019 -- zumindest mit eingestellter Toolchain v141 -- bei der Entwicklung von Plugins für

ADTF 3 einsetzbar ist. Ratet ihr davon ab?

 Grundsätzlich ist die Empfehlung VS2017 VC141 zu verwenden, damit können wir sicherstellen, dass es funktioniert.

https://support.digitalwerk.net/adtf/v3/adtf_html/page_system_requirements.html

Ist absehbar, daß eine der nächsten Versionen von ADTF 3 auf VS 2019 fußen wird?

 Wir würden eigentlich immer gerne die neuesten Toolchains verwenden, Probleme sind hier alle Firmen unter einen Hut zu bringen

und dann "lieber die kleinere Version zu verwenden", größer geht ja in der Regel.

Aktuell ist nichts geplant (nur Ubuntu Upgrade wegen LTS Ende), wird aber denke ich nächstes Jahr ein Thema.
Ob zusätzlich oder anstatt, kann ich dir nicht sagen.

Wir interne Entwickler würden natürlich sehr gerne upgraden aber das ist nicht alleine von uns abhängig.

Eine zusaätzliche Platfrom ginge schnell (wenn denn mit den Abhängigkeiten wie Qt usw alles passt), bedeutet aber auch erhöhten

Release und Supportaufwand, den jemand bezahlen muss, was aktuell nicht vorgesehen ist.

History

#1 - 2020-10-05 12:34 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

#2 - 2020-10-05 18:56 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Patrick,

grundsätzlich wird das gehen, da VS ja in erster Linie eine IDE ist und man damit arbeiten kann, die Toolchain hängt ja hinten dran und ist

kompatibel.

Geht zum Bsp. ja bei Visual Studio Code genauso.

Was in meinen Augen Probleme machen kann: Conan + CMake

Wenn du VS 2019 installierst, wird der VC142 installiert, du kannst auch einen vc141 Support mitmachen.

Aber (und das zeigen mit die MS Build Tools): du verwendest dann einen VS2019 mit vc141 (ist natürlich kompatibel).

Ich kann mir aber vorstellen, dass dies bei Conan und CMake dann Trouble machen, was Profile sowie Standard Compiler Setups betrifft.

Aus dem Bauch raus würd ich sagen, geht, aber nicht out of the box.

Und ihr müsst nach dem ersten Erstellen sicherstellen, dass die Toolchain am Ende auch wirklich korrekt angezogen wird.

Ich gehe auch davon aus, durch die MSVC ABI Kompatibilität seit VS2015 Update 3 dass ihr theoretisch auch mit einen VC142 gegen ein ADTF

VC141 bauen könnt, aber ob dann die Plugins mit einem VC141 laufen (v.a. GUI Themen wegen QT), ist mit Vorsicht zu genießen. Deshalb defintiv

sicherstellen, dass VC141 gesetzt und auch verwendet wird.

Geht es euch hierbei um Einkauf/Lizenzen oder einfach darum, die neuesten IDE Features zu verwenden ?

Was sicherlich geht: VS2017 und VS2019 installiert, dann sollte sich die Solution auf jeden Fall öffnen und mit den richtigen Toolset kompilieren

lassen (sofern man das nicht umkonfiguriert). Mir macht wie gesagt das conan Profile etwas Sorgen...

bei uns kam die Frage auf, ob VS 2019 -- zumindest mit eingestellter Toolchain v141 -- bei der Entwicklung von Plugins für ADTF 3 einsetzbar

ist. Ratet ihr davon ab?

 Grundsätzlich ist die Empfehlung VS2017 VC141 zu verwenden, damit können wir sicherstellen, dass es funktioniert.

https://support.digitalwerk.net/adtf/v3/adtf_html/page_system_requirements.html

Ist absehbar, daß eine der nächsten Versionen von ADTF 3 auf VS 2019 fußen wird?

 Wir würden eigentlich immer gerne die neuesten Toolchains verwenden, Probleme sind hier alle Firmen unter einen Hut zu bringen und dann "lieber

die kleinere Version zu verwenden", größer geht ja in der Regel.

Aktuell ist nichts geplant (nur Ubuntu Upgrade wegen LTS Ende), wird aber denke ich nächstes Jahr ein Thema.

Ob zusätzlich oder anstatt, kann ich dir nicht sagen.

Wir interne Entwickler würden natürlich sehr gerne upgraden aber das ist nicht alleine von uns abhängig.

Eine zusaätzliche Platfrom ginge schnell (wenn denn mit den Abhängigkeiten wie Qt usw alles passt), bedeutet aber auch erhöhten Release und

Supportaufwand, den jemand bezahlen muss, was aktuell nicht vorgesehen ist.

#3 - 2020-10-19 14:17 - hidden

- Project changed from 11 to Public Support

- Subject changed from Frage zu Visual Studio 2019 to Make use of Visual Studio 2019 IDE

- Description updated

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#4 - 2020-10-19 14:55 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#5 - 2021-07-26 13:24 - hidden

- Customer changed from Car.SW Org. to CARIAD
#6 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
